## staden 2.0.0+b10

=== Misc/Makefile ===
#
# Makefile for Miscellaneous routines
#
LIBS = misc
PROGS= $(LIBS)
PROGLIBS=$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

CFLAGS += $(SHLIB_CFLAGS) $(MISC_DLL)

INCLUDES_S += $(CORBA_INC)

# pread/pwrite implementations for MinGW/Windows
ifeq ($(findstring MINGW,$(OS)),MINGW)
WIN_FUNCS=win_funcs.o
endif

#
# Objects
#
OBJS = \
	crash.o \
	date.o \
	filenames.o \
	files.o \
	find.o \
	shell.o \
	strings.o \
	usleep.o \
	error.o \
	xerror.o \
	xalloc.o \
	vlen.o \
	FtoC.o \
	getfile.o \
	bitmap.o \
	array.o \
	locks.o \
	array_arith.o \
	parse_db.o\
	dstring.o \
	string_alloc.o\
	strtol64.o\
	$(WIN_FUNCS)

#
# Main dependency
#
$(LIBS) : $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	@

$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX): $(OBJS) $(CORBA_OBJS) $(DEF_FILE) $(L)/.dir
	$(SHLIB_LD) $(SHLIB_LDFLAGS) $(SHLIB_OUTFLAG)$@ $(SHLIB_SONAME) $(OBJS) $(CORBA_OBJS) $(CORBA_DEP) $(BIOLIMS_LIB) $(MATH_LIB)

$(L)/$(SHLIB_PREFIX)$(LIBS).def: $(OBJS)
	$(MKDEFL) $@ $(OBJS)

#find.c:
#	ln -s ../io_lib/utils/find.c

DEPEND_OBJ = $(OBJS)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGLIBS) $(INSTALLLIB)


# DO NOT DELETE THIS LINE -- make depend depends on it.

FtoC.o: $(PWD)/staden_config.h
array_arith.o: $(PWD)/staden_config.h
bitmap.o: $(PWD)/staden_config.h
crash.o: $(PWD)/staden_config.h
date.o: $(PWD)/staden_config.h
dstring.o: $(PWD)/staden_config.h
error.o: $(PWD)/staden_config.h
filenames.o: $(PWD)/staden_config.h
files.o: $(PWD)/staden_config.h
find.o: $(PWD)/staden_config.h
getfile.o: $(PWD)/staden_config.h
parse_db.o: $(PWD)/staden_config.h
shell.o: $(PWD)/staden_config.h
strings.o: $(PWD)/staden_config.h
strtol64.o: $(PWD)/staden_config.h
vlen.o: $(PWD)/staden_config.h
xalloc.o: $(PWD)/staden_config.h
xerror.o: $(PWD)/staden_config.h

=== abi/Makefile ===
#
# Makefile for getABISampleName
#

PROGS = getABISampleName getABIcomment getABIdate getABIfield

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC) $(IOLIB_INC)

OBJSSN = abiIO.o getABISampleName.o
OBJSD  = abiIO.o getABIdate.o
OBJSFI = abiIO.o getABIfield.o
OBJSC  = abiIO.o getABIcomment.o

LIBS=\
	$(IOLIB_LIB) \
	$(MISC_LIB)

getABISampleName: $(OBJSSN)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJSSN) $(LIBS) $(LIBSC)

getABIdate: $(OBJSD)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJSD) $(IOUTILS_LIB) $(MISC_LIB) $(LIBSC)

getABIcomment: $(OBJSC)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJSC) $(LIBS) $(LIBSC)

getABIfield: $(OBJSFI)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJSFI) $(LIBS) $(LIBSC)

DEPEND_OBJ = $(OBJSSN) $(OBJSD) $(OBJSC) $(OBJSFI)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

# DO NOT DELETE THIS LINE -- make depend depends on it.

abiIO.o: $(PWD)/staden_config.h
getABISampleName.o: $(PWD)/staden_config.h
getABIcomment.o: $(PWD)/staden_config.h
getABIdate.o: $(PWD)/staden_config.h
getABIfield.o: $(PWD)/staden_config.h

=== alf/Makefile ===
#
# Makefile for alf
#

PROGS = alfsplit

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC)

#
# Make the programs
#
ALFOBJ = alfsplit.o

alfsplit: $(ALFOBJ)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(ALFOBJ) $(LIBSC)

RSOBJ = $(ALFBIN)/2rs.o

2rs: $(RSOBJ)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(RSOBJ) $(LIBSC)

DEPEND_OBJ = $(ALFOBJ) $(RSOBJ)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

# DO NOT DELETE THIS LINE -- make depend depends on it.

alfsplit.o: $(PWD)/staden_config.h

=== convert/Makefile ===
#
# Makefile for convert (Alpha version)
#

PROGS = staden_convert

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC) $(GAPDB_EXT_INC) $(TK_INC) $(IOLIB_INC) $(TKUTILS_INC) $(P3_INC) $(TCL_INC) $(GAP4_INC) $(G_INC)

OBJS = \
	list.o \
	main.o \
	dapIO.o \
	dapDB.o \
	bapIO.o \
	bapDB.o \
	gapDB.o \
	process.o \
	flat_sd.o

DEPS =  $(GAP_LIB) \
	$(G_LIB) \
	$(P3_LIB) \
	$(MUT_LIB) \
	$(TKUTILS_LIB) \
	$(SEQUTILS_LIB) \
	$(MISC_LIB) \
	$(IOLIB_LIB)

staden_convert: $(OBJS)
	$(CLD) -o $@ $(OBJS) $(LIBS) $(LIBSC) $(DEPS)

DEPEND_OBJ = $(OBJS)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(S)/convert.doc $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

# DO NOT DELETE THIS LINE -- make depend depends on it.

bapDB.o: $(PWD)/staden_config.h
bapIO.o: $(PWD)/staden_config.h
dapDB.o: $(PWD)/staden_config.h
dapIO.o: $(PWD)/staden_config.h
flat_sd.o: $(PWD)/staden_config.h
gapDB.o: $(PWD)/staden_config.h
main.o: $(PWD)/staden_config.h
process.o: $(PWD)/staden_config.h

=== data/Makefile ===
SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

all:
	@echo Nothing to build for data.

clean:
	@echo Nothing to clean for data.


cleanprogs:


cleanlibs:


spotless: clean cleanprogs cleanlibs


.PHONY: distsrc cleanprogs cleanlibs

distsrc: distsrc_dirs
	cp $(S)/RENZYM.* $(S)/renzyme_bairoch $(S)/m13mp18_primers \
	   $(S)/vector_primer $(S)/pam250 $(S)/Makefile $(DIRNAME)
	-mkdir $(DIRNAME)/alus
	cp $(S)/alus/* $(DIRNAME)/alus
	-mkdir $(DIRNAME)/blast_data
	cp $(S)/blast_data/* $(DIRNAME)/blast_data
	-mkdir $(DIRNAME)/gcodes
	cp $(S)/gcodes/* $(DIRNAME)/gcodes
	-mkdir $(DIRNAME)/vectors
	cp $(S)/vectors/* $(DIRNAME)/vectors

install:
	-mkdir $(INSTALLDATA)/alus
	cp $(S)/alus/* $(INSTALLDATA)/alus
	-mkdir $(INSTALLDATA)/blast_data
	cp $(S)/blast_data/* $(INSTALLDATA)/blast_data
	-mkdir $(INSTALLDATA)/gcodes
	cp $(S)/gcodes/* $(INSTALLDATA)/gcodes
	-mkdir $(INSTALLDATA)/vectors
	cp $(S)/vectors/* $(INSTALLDATA)/vectors
	cp $(S)/RENZYM.* $(INSTALLDATA)
	cp $(S)/renzyme_bairoch $(INSTALLDATA)
	cp $(S)/m13mp18_primers $(INSTALLDATA)
	cp $(S)/vector_primer $(INSTALLDATA)
	cp $(S)/pam250 $(INSTALLDATA)

=== eba/Makefile ===
#
# Makefile for eba (Estimate Base Accuracy)
#

PROGS = eba

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC) $(IOLIB_INC)

EBAOBJS	= qual.o conf.o

eba: $(EBAOBJS)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(EBAOBJS) $(IOLIB_LIB) $(MISC_LIB) $(LIBSC) $(LIBM) $(MATH_LIB)

DEPEND_OBJ = $(EBAOBJS) $(SNROBJS)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

# DO NOT DELETE THIS LINE -- make depend depends on it.

conf.o: $(PWD)/staden_config.h
qual.o: $(PWD)/staden_config.h

=== find_renz/Makefile ===
#
# Makefile for find_renz
#

PROGS = find_renz

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(SEQUTILS_INC) $(MISC_INC)

OBJS	= find_renz.o

LIBS=\
	$(SEQUTILS_LIB) \
	$(TEXTUTILS_LIB) \
	$(MISC_LIB) \
	$(IOLIB_LIB)

find_renz: $(OBJS)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJS) $(LIBS) $(LIBSC) 


DEPEND_OBJ = $(OBJS)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

# DO NOT DELETE THIS LINE -- make depend depends on it.

find_renz.o: $(PWD)/staden_config.h

=== g/Makefile ===
#
# Makefile for Miscellaneous routines
#

LIBS 	= g
PROGS	= $(LIBS)
PROGLIBS= $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_S += $(MISC_INC)

# CACHE_FREETREE makes Gap4 append the freetree data structure to the end of
# the .aux file when a database is shutdown. Similarly it's loaded on database
# open.
# For now this is disabled for several reasons:
# 1. The format has changed (freelists, AVL balance factors) and the code has
#    not yet been updated.
# 2. The existing trees are unbalanced, so we want to force recomputing.
# 3. The speed of recomputing from scratch when using a balanced tree seems
#    to be only barely slower than loading a cached copy.

#CFLAGS += $(SHLIB_CFLAGS) $(G_DLL) -DCACHE_FREETREE
CFLAGS += $(SHLIB_CFLAGS) $(G_DLL) 

# Optimise IO
#COPTDEBUG=$(COPT)

#
# Objects
#

GSIO = \
	g-files.o \
	g-db.o \
	g-struct.o

GSLIB = \
	freetree.o

GSMISC = \
	g-error.o \
	g-io.o

GSREQ = \
	g-connect.o \
	g-request.o

OBJS = $(GSIO) $(GSLIB) $(GSMISC) $(GSREQ)


G_LIBS = $(MISC_LIB)

#
# Main dependency
#
$(LIBS) : $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	@

$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX): $(OBJS) $(DEF_FILE) $(L)/.dir
	$(SHLIB_LD) $(SHLIB_LDFLAGS) $(SHLIB_OUTFLAG)$@ $(SHLIB_SONAME) $(OBJS) $(G_LIBS)

$(L)/$(SHLIB_PREFIX)$(LIBS).def: $(OBJS)
	$(MKDEFL) $@ $(OBJS)

DEPEND_OBJ = $(OBJS)

backup: FORCE
	tar cvf - *.[chf] README Makefile \
	    | gzip > backup/`date +%d_%m_%y`.tar.gz

FORCE::

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGLIBS) $(INSTALLLIB)

# DO NOT DELETE THIS LINE -- make depend depends on it.

freetree.o: $(PWD)/staden_config.h
g-connect.o: $(PWD)/staden_config.h
g-db.o: $(PWD)/staden_config.h
g-files.o: $(PWD)/staden_config.h
g-io.o: $(PWD)/staden_config.h
g-request.o: $(PWD)/staden_config.h
g-struct.o: $(PWD)/staden_config.h

=== gap4/Makefile ===
LIBS = gap
ifeq ($(MACHINE),windows)
PROGS = $(LIBS) copy_db 
else
PROGS = $(LIBS) copy_db 
endif
PROGLIBS= $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

# Local comment: Comment out next line for remote compilation

INCLUDES_E += $(MISC_INC) $(G_INC) $(TK_INC) \
	      $(IOLIB_INC) $(TKUTILS_INC) $(SEQUTILS_INC) $(MUT_INC) \
	      $(F77_INC) $(P3_INC)
CFLAGS += $(SHLIB_CFLAGS)
FFLAGS += $(SHLIB_FFLAGS)


#
# Building the programs
# This should be just a linking phase because all of the object
# files and library files are generated using implicit rules.
# We use the fortran compiler to do linking.
#

GAPDB_LOW=\
	gap-local.o\
	gap-remote.o\
	gap-if.o\
	gap-init.o\
	gap-dbstruct.o\
	gap-create.o\
	gap-error.o\
	stack_dump.o\
	gap-io.o

GAPDB_MID=\
        IO1.o \
        io-reg.o \
        actf.o

GAPDB_UTILS=\
	io_handle.o \
	io_utils.o

# GAPDB_EXT_OBJS is basically the low and mid level files plus the
# text-io-reg.o object. This is simply stub routines to enable safe linking
# and isn't needed by gap4 itself.

GAPDB_EXT_OBJS=\
	$(GAPDB_LOW) \
	$(GAPDB_MID) \
	$(GAPDB_UTILS) \
	text-io-reg.o

GAPDB_EXT_INC=$(G_INC) -I$(GAP4SRC)

GAPDB_EXT_DEPS=\
	$(G_DEP) \
	$(TEXTUTILS_DEP) \
	$(MISC_DEP) \
	$(TCL_DEP)

GAPDB_EXT_LIBS=\
	$(G_LIB) \
	$(TEXTUTILS_LIB) \
	$(MISC_LIB) \
	$(TCL_LIB) \
	$(IOLIB_LIB)

GAPDB=\
	$(GAPDB_LOW)\
	$(GAPDB_MID)\
	IO2.o\
	seqInfo.o\
	parse_ft.o\
	IO3.o \
	io_utils.o \
	io_handle.o \
	gap-tcl.o \
	tk-io-reg.o

CONSEN=\
	consen.o\
	gap_hash.o\
	qual.o\
	qualIO.o

TCLBITS=\
	gap_cli_arg.o \
	gap_globals.o \
	newgap_cmds.o \
	init.o

EDITOR = \
	tkEditor.o\
	tkEdNames.o\
	tkEdUtils.o\
	edInterface.o\
	edUtils2.o \
	tagU1.o\
	undo.o\
	edExtend.o\
	edCommands.o\
	edMutations.o\
	tagEditor.o\
	searchUtils.o\
	tman_interface.o\
	tman_display.o\
	tman_cons.o\
	tman_diff.o\
	contigEditor.o\
	join.o\
	oligo.o

GAPFUNCS = \
	bubbl3.o\
	tagdb.o\
	notedb.o\
	active_tags.o\
	dbcheck.o\
	clones.o\
	extract.o\
	preass.o \
	list.o \
	reactions.o \
	probe.o \
	template.o \
	template_display.o \
	ruler_display.o \
	gap_canvas_box.o \
	hash.o \
	gap_array.o \
	show_relationships.o \
	fij.o \
	hash_lib.o \
	do_fij.o \
	auto_assemble.o \
	dis_readings.o \
	find_repeats.o \
	break_contig.o \
	quality_plot.o \
	readpair.o \
	contig_selector.o \
	complement.o \
	cs-object.o\
	list_proc.o\
	dstrand.o\
	oligo_sel.o\
	primlib.o\
	alter_rel.o\
	restriction_enzymes.o \
	stop_codon.o \
	assemble_direct.o\
	check_assembly.o\
	tagU2.o\
	mess.o\
	find_oligo.o\
	copy_db.o \
	contig_order.o\
	clip.o\
	notes.o\
	consistency_display.o\
	consistency_canvas_box.o\
	confidence_graph.o\
	reading_coverage.o\
	readpair_coverage.o\
	strand_coverage.o\
	find_fragments.o\
	vseqs.o\
	$(GAP4_LEGACY)\
	f2c.o \
	shuffle_pads.o \
	auto_break.o

GAPOBJS=\
	$(COMMONOBJS)\
	$(GAPDB)\
	$(TCLBITS)\
	$(CONSEN)\
	$(GAPFUNCS)\
	$(EDITOR)

GAP4_LIBS=\
	$(IOLIB_LIB) \
	$(SEQUTILS_LIB) \
	$(TKUTILS_LIB) \
	$(TK_LIB) \
	$(BIOLIMS_LIB) \
	$(BIOGAP_LIB) \
	$(G_LIB) \
	$(MUT_LIB) \
	$(MISC_LIB) \
	$(P3_LIB)

GAP4SH_LIBS=\
	$(IOLIB_LIB) \
	$(G_LIB) \
	$(SEQUTILS_LIB) \
	$(TKUTILS_LIB) \
	$(TK_LIB) \
	$(MISC_LIB) \
	$(MUT_LIB) \
	$(P3_LIB)

$(LIBS) : $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	-@

$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX): $(GAPOBJS) $(DEF_FILE) $(L)/.dir
	$(SHLIB_LD) $(SHLIB_LDFLAGS) $(SHLIB_OUTFLAG)$@ $(SHLIB_SONAME) $(LINK_PATHFLAG)$(L) $(GAPOBJS) $(GAP4_LIBS) $(CXX_DEP) $(SHLIB_DEP) $(F77_DEP) $(IOLIB_LIB)

$(L)/$(SHLIB_PREFIX)$(LIBS).def: $(GAPOBJS)
	$(MKDEFL) $@ $(GAPOBJS)

COPYDBOBJS=\
        $(GAPDB_LOW) \
        $(GAPDB_MID) \
        copy_db.o \
        copy_db_main.o \
        text-io-reg.o\
	io_utils.o \
	io_handle.o

CPLIB=\
	$(G_LIB) \
	$(TEXTUTILS_LIB) \
	$(MISC_LIB) \
	$(TCL_LIB) \
	$(IOLIB_LIB)

copy_db:   $(COPYDBOBJS)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(COPYDBOBJS) $(CPLIB) $(LIBSC)

THRASHOBJS=\
        $(GAPDB_LOW) \
        $(GAPDB_MID) \
        gap-thrash3.o \
        text-io-reg.o

THRASHBOBJS=\
        $(GAPDB_LOW) \
        $(GAPDB_MID) \
        gap-thrash2bug.o \
        text-io-reg.o

TLIB=\
	$(G_LIB) \
	$(TEXTUTILS_LIB) \
	./libmisc.a

thrash:   $(THRASHOBJS)
	$(CLD) -o $@ $(THRASHOBJS) $(TLIB) $(LIBSC) -ldmalloc
thrashb:   $(THRASHBOBJS)
	$(CLD) -o $@ $(THRASHBOBJS) $(TLIB) $(LIBSC) -ldmalloc

DEPEND_OBJ = $(GAPOBJS) $(COPYDBOBJS)

install:
	cp copy_db $(INSTALLBIN)
	$(INSTALL) gap4 $(INSTALLBIN)
	-mkdir $(INSTALLTCL)/gap
	cp $(S)/*.tcl $(S)/tclIndex $(INSTALLTCL)/gap
	cp $(PROGLIBS) $(INSTALLLIB)
	cp $(S)/gaprc $(S)/gaprc_menu_full $(S)/gaprc_menu_mito $(INSTALLETC)
	cp $(S)/GTAGDB $(S)/NOTEDB $(INSTALLETC)
	cp $(S)/cap2rc $(S)/cap3rc $(S)/fak2rc $(S)/phraprc $(INSTALLETC)
	cp $(S)/*.bitmap $(S)/*.gif $(INSTALLETC)

distsrc: distsrc_dirs
	cp $(S)/*.[chf] $(S)/*.tcl $(S)/tclIndex $(S)/Makefile $(S)/gap4.in \
	   $(S)/gap4.bat $(S)/GTAGDB $(S)/NOTEDB $(S)/*.bitmap $(S)/*.gif \
	   $(S)/gaprc $(S)/gaprc_menu_full $(S)/gaprc_menu_mito \
	   $(S)/cap2rc $(S)/cap3rc $(S)/fak2rc $(S)/phraprc $(DIRNAME)

# DO NOT DELETE THIS LINE -- make depend depends on it.

IO2.o: $(PWD)/staden_config.h
IO3.o: $(PWD)/staden_config.h
actf.o: $(PWD)/staden_config.h
active_tags.o: $(PWD)/staden_config.h
alter_rel.o: $(PWD)/staden_config.h
assemble_direct.o: $(PWD)/staden_config.h
auto_assemble.o: $(PWD)/staden_config.h
auto_break.o: $(PWD)/staden_config.h
break_contig.o: $(PWD)/staden_config.h
bubbl3.o: $(PWD)/staden_config.h
check_assembly.o: $(PWD)/staden_config.h
clip.o: $(PWD)/staden_config.h
clones.o: $(PWD)/staden_config.h
complement.o: $(PWD)/staden_config.h
confidence_graph.o: $(PWD)/staden_config.h
consen.o: $(PWD)/staden_config.h
consistency_canvas_box.o: $(PWD)/staden_config.h
consistency_display.o: $(PWD)/staden_config.h
contigEditor.o: $(PWD)/staden_config.h
contig_order.o: $(PWD)/staden_config.h
contig_selector.o: $(PWD)/staden_config.h
copy_db.o: $(PWD)/staden_config.h
copy_db_main.o: $(PWD)/staden_config.h
cs-object.o: $(PWD)/staden_config.h
dbcheck.o: $(PWD)/staden_config.h
dis_readings.o: $(PWD)/staden_config.h
do_fij.o: $(PWD)/staden_config.h
dstrand.o: $(PWD)/staden_config.h
edCommands.o: $(PWD)/staden_config.h
edExtend.o: $(PWD)/staden_config.h
edInterface.o: $(PWD)/staden_config.h
edMutations.o: $(PWD)/staden_config.h
edUtils2.o: $(PWD)/staden_config.h
extract.o: $(PWD)/staden_config.h
f2c.o: $(PWD)/staden_config.h
fij.o: $(PWD)/staden_config.h
find_fragments.o: $(PWD)/staden_config.h
find_oligo.o: $(PWD)/staden_config.h
find_repeats.o: $(PWD)/staden_config.h
gap-create.o: $(PWD)/staden_config.h
gap-dbstruct.o: $(PWD)/staden_config.h
gap-error.o: $(PWD)/staden_config.h
gap-if.o: $(PWD)/staden_config.h
gap-init.o: $(PWD)/staden_config.h
gap-io.o: $(PWD)/staden_config.h
gap-local.o: $(PWD)/staden_config.h
gap-remote.o: $(PWD)/staden_config.h
gap-tcl.o: $(PWD)/staden_config.h
gap_array.o: $(PWD)/staden_config.h
gap_canvas_box.o: $(PWD)/staden_config.h
gap_cli_arg.o: $(PWD)/staden_config.h
gap_globals.o: $(PWD)/staden_config.h
gap_hash.o: $(PWD)/staden_config.h
hash_lib.o: $(PWD)/staden_config.h
init.o: $(PWD)/staden_config.h
io-reg.o: $(PWD)/staden_config.h
io_handle.o: $(PWD)/staden_config.h
io_utils.o: $(PWD)/staden_config.h
join.o: $(PWD)/staden_config.h
list_proc.o: $(PWD)/staden_config.h
mess.o: $(PWD)/staden_config.h
newgap_cmds.o: $(PWD)/staden_config.h
notedb.o: $(PWD)/staden_config.h
notes.o: $(PWD)/staden_config.h
oligo.o: $(PWD)/staden_config.h
oligo_sel.o: $(PWD)/staden_config.h
preass.o: $(PWD)/staden_config.h
primlib.o: $(PWD)/staden_config.h
probe.o: $(PWD)/staden_config.h
qual.o: $(PWD)/staden_config.h
qualIO.o: $(PWD)/staden_config.h
quality_plot.o: $(PWD)/staden_config.h
reactions.o: $(PWD)/staden_config.h
reading_coverage.o: $(PWD)/staden_config.h
readpair.o: $(PWD)/staden_config.h
readpair_coverage.o: $(PWD)/staden_config.h
restriction_enzymes.o: $(PWD)/staden_config.h
ruler_display.o: $(PWD)/staden_config.h
searchUtils.o: $(PWD)/staden_config.h
seqInfo.o: $(PWD)/staden_config.h
show_relationships.o: $(PWD)/staden_config.h
shuffle_pads.o: $(PWD)/staden_config.h
stack_dump.o: $(PWD)/staden_config.h
stop_codon.o: $(PWD)/staden_config.h
strand_coverage.o: $(PWD)/staden_config.h
tagEditor.o: $(PWD)/staden_config.h
tagU1.o: $(PWD)/staden_config.h
tagU2.o: $(PWD)/staden_config.h
tagdb.o: $(PWD)/staden_config.h
template.o: $(PWD)/staden_config.h
template_display.o: $(PWD)/staden_config.h
text-io-reg.o: $(PWD)/staden_config.h
tk-io-reg.o: $(PWD)/staden_config.h
tkEdNames.o: $(PWD)/staden_config.h
tkEdUtils.o: $(PWD)/staden_config.h
tkEditor.o: $(PWD)/staden_config.h
tman_cons.o: $(PWD)/staden_config.h
tman_diff.o: $(PWD)/staden_config.h
tman_display.o: $(PWD)/staden_config.h
tman_interface.o: $(PWD)/staden_config.h
undo.o: $(PWD)/staden_config.h
vseqs.o: $(PWD)/staden_config.h

=== gap5/Makefile ===
LIBS = gap5
# tg_view.bin deprecated
PROGS = tg_index.bin
PROGLIBS= $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC) $(TK_INC) \
	      $(IOLIB_INC) $(TKUTILS_INC) $(SEQUTILS_INC) \
	      $(P3_INC) $(CURSES_INC) $(ZLIB_INC) $(LZMA_INC)
	      
CFLAGS += $(SHLIB_CFLAGS)
FFLAGS += $(SHLIB_FFLAGS)

# For gprof profiling
#CFLAGS   += -pg
#CLDFLAGS += -pg

# For debugging g-alloc
#CFLAGS += -DVALGRIND
#CFLAGS += -D_FORTIFY_SOURCE=2 -fstack-protector

GAP5_LIB=-lgap5

#
# Building the programs
# This should be just a linking phase because all of the object
# files and library files are generated using implicit rules.

# "g" library components, originally from Gap4's src/g dir
GOBJS = \
	g-files.o \
	g-db.o \
	g-struct.o \
	g-error.o \
	g-alloc.o \
	g-io.o \
	g-connect.o \
	g-request.o

# "tg" layer. This is low level I/O - caching, formatting, etc.
TG_IO = \
	tg_iface_g.o \
	b+tree2.o \
	hache_table.o \
	tg_gio.o \
	tg_cache.o \
	tg_contig.o \
	tg_sequence.o \
	tg_track.o \
	tg_bin.o \
	tg_utils.o \
	tg_register.o \
	tg_tracks.o \
	tg_anno.o \
	tg_library.o \
	tg_scaffold.o \
	tg_check.o \
        actf.o \
	zfio.o \
	gap_cli_arg.o \
	tg_tcl.o

CEDITOR = \
	editor_view.o \
	editor_join.o \
	editor_search.o \
	tkEdNames.o\
	tkEditor.o\
	tman_interface.o\
	tman_display.o\
	primlib.o\
	editor_oligo.o

CEDITOR_SCRAP=\
	contigEditor.o\
	tkEditor.o\
	tkEdUtils.o\
	edInterface.o\
	edUtils2.o \
	tagU1.o\
	undo.o\
	edExtend.o\
	edCommands.o\
	edMutations.o\
	tagEditor.o\
	searchUtils.o\
	tman_interface.o\
	tman_display.o\
	tman_cons.o\
	tman_diff.o\
	join.o\
	oligo.o

TG_INDEX=\
	tg_index_common.o\
	baf.o \
	maq.o \
	maqmap.o \
	sam_index.o \
	sam_pileup.o \
	ace.o \
	caf.o \
	fasta.o \
	afg.o \
	depad_seq_tree.o

GAP5=\
	newgap5_cmds.o \
	gap4_compat.o \
	gap_hash.o\
	hash_lib.o \
	qual.o \
	qualIO.o \
	gap_globals.o \
	tagdb.o\
	init.o \
	notedb.o\
	active_tags.o\
	list_proc.o\
	gap-error.o\
	stack_dump.o\
	tk-io-reg.o\
	tkAppInit.o \
	consen.o\
	contig_selector.o\
	cs-object.o\
	find_repeats.o\
	readpair.o\
	check_assembly.o\
	consensus.o\
	read_depth.o\
	gap_range.o \
	template_display.o \
	depth_track.o \
	template_draw.o \
	quality_plot.o\
	tag_plot.o \
	fij.o\
	do_fij.o\
	break_contig.o \
	dis_readings.o \
	export_contigs.o \
	find_oligo.o \
	import_gff.o \
	shuffle_pads.o \
	restriction_enzymes.o \
	gap_canvas_box.o \
	contig_extend.o \
	auto_break.o \
	$(GOBJS) \
	$(TG_IO) \
	$(CEDITOR) \
	$(TG_INDEX)

GAP5_LIBS=\
	$(IOLIB_LIB) \
	$(SEQUTILS_LIB) \
	$(TKUTILS_LIB) \
	$(ZLIB_LIB) \
	$(LZMA_LIB) \
	$(TK_LIB) \
	$(SEQUTILS_LIB) \
	$(P3_LIB) \
	$(MISC_LIB)

$(LIBS) : $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	-@

$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX): $(GAP5) $(DEF_FILE) $(L)/.dir
	$(SHLIB_LD) $(SHLIB_LDFLAGS) $(SHLIB_OUTFLAG)$@ $(SHLIB_SONAME) $(LINK_PATHFLAG)$(L) $(GAP5) $(GAP5_LIBS) $(SHLIB_DEP)


$(L)/$(SHLIB_PREFIX)$(LIBS).def: $(GAP5)
	$(MKDEFL) $@ $(GAP5)


TG_IND_OBJ = \
	$(TG_IO) \
	tg_index.o \
#	mapass2.o

TGILIBS = \
	$(GAP5_LIB) \
	$(P3_LIB) \
	$(ZLIB_LIB) \
	$(LZMA_LIB) \
	$(TKUTILS_LIB) \
	$(SEQUTILS_LIB) \
	$(TK_LIB) \
	$(MISC_LIB) \
	$(IOLIB_LIB)

tg_index.bin: $(TG_IND_OBJ) $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(TG_IND_OBJ) $(TGILIBS) $(LIBSC)

TG_VIEW_OBJ = \
	$(TG_IO) \
	tg_view.o

TGVLIBS = \
	$(TGILIBS) \
	$(CURSES_LIB)

tg_view.bin: $(TG_VIEW_OBJ) $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(TG_VIEW_OBJ) $(TGVLIBS) $(LIBSC)

DEPEND_OBJ = $(GAP5) $(TG_IND_OBJ) $(TG_VIEW_OBJ)

install:
	$(INSTALL) gap5 $(INSTALLBIN)
	-mkdir $(INSTALLTCL)/gap5
	cp $(S)/*.tcl $(S)/tclIndex $(INSTALLTCL)/gap5
	cp $(S)/../gap4/acd2tag.tcl $(INSTALLTCL)/gap5
	cp $(S)/gap5rc $(S)/gap5rc_menu_full $(INSTALLETC)
	cp $(PROGLIBS) $(INSTALLLIB)
	@#cp tg_view.bin $(INSTALLBIN)
	cp tg_index.bin $(INSTALLBIN)
	$(INSTALL) tg_index $(INSTALLBIN)
	@#$(INSTALL) tg_view $(INSTALLBIN)
	$(INSTALL) gap5_cmd $(INSTALLBIN)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/*.tcl $(S)/*.in $(S)/tclIndex $(S)/Makefile \
	   $(S)/gap5rc $(S)/gap5rc_menu_full $(DIRNAME)

# DO NOT DELETE THIS LINE -- make depend depends on it.

ace.o: $(PWD)/staden_config.h
actf.o: $(PWD)/staden_config.h
active_tags.o: $(PWD)/staden_config.h
afg.o: $(PWD)/staden_config.h
auto_break.o: $(PWD)/staden_config.h
b+tree2.o: $(PWD)/staden_config.h
baf.o: $(PWD)/staden_config.h
break_contig.o: $(PWD)/staden_config.h
caf.o: $(PWD)/staden_config.h
check_assembly.o: $(PWD)/staden_config.h
consen.o: $(PWD)/staden_config.h
consensus.o: $(PWD)/staden_config.h
contig_extend.o: $(PWD)/staden_config.h
contig_selector.o: $(PWD)/staden_config.h
cs-object.o: $(PWD)/staden_config.h
depad_seq_tree.o: $(PWD)/staden_config.h
depth_track.o: $(PWD)/staden_config.h
dis_readings.o: $(PWD)/staden_config.h
do_fij.o: $(PWD)/staden_config.h
editor_join.o: $(PWD)/staden_config.h
editor_oligo.o: $(PWD)/staden_config.h
editor_search.o: $(PWD)/staden_config.h
editor_view.o: $(PWD)/staden_config.h
export_contigs.o: $(PWD)/staden_config.h
fasta.o: $(PWD)/staden_config.h
fij.o: $(PWD)/staden_config.h
find_oligo.o: $(PWD)/staden_config.h
find_repeats.o: $(PWD)/staden_config.h
g-alloc.o: $(PWD)/staden_config.h
g-connect.o: $(PWD)/staden_config.h
g-db.o: $(PWD)/staden_config.h
g-files.o: $(PWD)/staden_config.h
g-io.o: $(PWD)/staden_config.h
g-request.o: $(PWD)/staden_config.h
g-struct.o: $(PWD)/staden_config.h
gap-error.o: $(PWD)/staden_config.h
gap4_compat.o: $(PWD)/staden_config.h
gap_canvas_box.o: $(PWD)/staden_config.h
gap_cli_arg.o: $(PWD)/staden_config.h
gap_globals.o: $(PWD)/staden_config.h
gap_hash.o: $(PWD)/staden_config.h
gap_range.o: $(PWD)/staden_config.h
hache_table.o: $(PWD)/staden_config.h
hash_lib.o: $(PWD)/staden_config.h
import_gff.o: $(PWD)/staden_config.h
init.o: $(PWD)/staden_config.h
list_proc.o: $(PWD)/staden_config.h
maq.o: $(PWD)/staden_config.h
newgap5_cmds.o: $(PWD)/staden_config.h
notedb.o: $(PWD)/staden_config.h
primlib.o: $(PWD)/staden_config.h
qual.o: $(PWD)/staden_config.h
qualIO.o: $(PWD)/staden_config.h
quality_plot.o: $(PWD)/staden_config.h
read_depth.o: $(PWD)/staden_config.h
readpair.o: $(PWD)/staden_config.h
restriction_enzymes.o: $(PWD)/staden_config.h
sam_index.o: $(PWD)/staden_config.h
sam_pileup.o: $(PWD)/staden_config.h
shuffle_pads.o: $(PWD)/staden_config.h
stack_dump.o: $(PWD)/staden_config.h
tag_plot.o: $(PWD)/staden_config.h
tagdb.o: $(PWD)/staden_config.h
template_display.o: $(PWD)/staden_config.h
tg_anno.o: $(PWD)/staden_config.h
tg_bin.o: $(PWD)/staden_config.h
tg_cache.o: $(PWD)/staden_config.h
tg_check.o: $(PWD)/staden_config.h
tg_contig.o: $(PWD)/staden_config.h
tg_gio.o: $(PWD)/staden_config.h
tg_iface_g.o: $(PWD)/staden_config.h
tg_index.o: $(PWD)/staden_config.h
tg_index_common.o: $(PWD)/staden_config.h
tg_library.o: $(PWD)/staden_config.h
tg_register.o: $(PWD)/staden_config.h
tg_scaffold.o: $(PWD)/staden_config.h
tg_sequence.o: $(PWD)/staden_config.h
tg_tcl.o: $(PWD)/staden_config.h
tg_track.o: $(PWD)/staden_config.h
tg_tracks.o: $(PWD)/staden_config.h
tg_utils.o: $(PWD)/staden_config.h
tg_view.o: $(PWD)/staden_config.h
tk-io-reg.o: $(PWD)/staden_config.h
tkAppInit.o: $(PWD)/staden_config.h
tkEdNames.o: $(PWD)/staden_config.h
tkEditor.o: $(PWD)/staden_config.h
tman_display.o: $(PWD)/staden_config.h
tman_interface.o: $(PWD)/staden_config.h
zfio.o: $(PWD)/staden_config.h

=== get_scf_field/Makefile ===
#
# Makefile for get_scf_field
#

PROGS= 	get_scf_field

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC) $(IOLIB_INC)

OBJS	= get_scf_field.o

GSF_LIBS=\
	$(IOLIB_LIB) \
	$(IOUTILS_LIB) \
	$(MISC_LIB)

get_scf_field:	$(OBJS)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJS) $(IOLIB_LIB) $(LIBSC) $(GSF_LIBS)

DEPEND_OBJ = $(OBJS)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

# DO NOT DELETE THIS LINE -- make depend depends on it.

get_scf_field.o: $(PWD)/staden_config.h

=== haplo/Makefile ===
LIBS = haplo
PROGS = x$(LIBS)
PROGLIBS= $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E := $(MISC_INC) $(GAP4_INC) $(G_INC) $(TK_INC) $(ITK_INC) \
	      $(IOLIB_INC) $(TKUTILS_INC) $(INCLUDES_E)
CFLAGS += $(SHLIB_CFLAGS)
FFLAGS += $(SHLIB_FFLAGS)

OBJS=\
	haplo_tcl.o \
	haplo_snps.o \
	haplo_split.o \
	haplo_cons.o

HAPLO_DEP=\
	$(TK_LIB) \
	$(TKUTILS_LIB) \
	$(MISC_LIB) \
	$(GAP_LIB)

x$(LIBS) : $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	-@

$(L)/$(SHLIB_PREFIX)$(LIBS).def: $(OBJS)
	$(MKDEFL) $@ $(OBJS)

$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX): $(OBJS) $(DEF_FILE) $(L)/.dir
	$(SHLIB_LD) $(SHLIB_LDFLAGS) $(SHLIB_OUTFLAG)$@ $(SHLIB_SONAME) $(OBJS) $(HAPLO_DEP) $(SHLIB_DEP)

install:
	-mkdir $(INSTALLTCL)/haplo
	cp $(S)/*.tcl $(S)/tclIndex $(INSTALLTCL)/haplo
	cp $(PROGLIBS) $(INSTALLLIB)
	cp $(S)/haplorc $(INSTALLETC)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/*.tcl $(S)/Makefile $(S)/tclIndex $(S)/haplorc \
	   $(DIRNAME)

DEPEND_OBJ = $(OBJS)

# DO NOT DELETE THIS LINE -- make depend depends on it.

haplo_cons.o: $(PWD)/staden_config.h
haplo_snps.o: $(PWD)/staden_config.h
haplo_split.o: $(PWD)/staden_config.h
haplo_tcl.o: $(PWD)/staden_config.h

=== debian/changelog ===
staden (2.0.0+b10-4ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/include_xalloc.patch: Include "xalloc.h" in a few more
      files that use xcalloc.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 26 Mar 2016 15:57:23 -0500

staden (2.0.0+b10-4) unstable; urgency=medium

  * Move packaging to git
  * Upstream enhanced suggested patch

 -- Andreas Tille <tille@debian.org>  Tue, 23 Feb 2016 09:34:47 +0100

staden (2.0.0+b10-3) unstable; urgency=medium

  * Upstream provided patch to deal with modern windowmanagers
    Closes: #815176

 -- Andreas Tille <tille@debian.org>  Mon, 22 Feb 2016 11:37:10 +0100

staden (2.0.0+b10-2) unstable; urgency=medium

  * Make sure all tools will be found by GUI programs
    Closes: #815174
  * cme fix dpkg-control
  * move bash completions from etc to usr/share/bash-completion/completions
  * fix names of desktop files to match names of GUI executables
  * fix some spelling issues

 -- Andreas Tille <tille@debian.org>  Sun, 21 Feb 2016 07:30:27 +0100

staden (2.0.0+b10-1.1ubuntu1) xenial; urgency=medium

  * Include "xalloc.h" in a few more files that use xcalloc.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2016 08:46:02 +0000

staden (2.0.0+b10-1.1build1) xenial; urgency=medium

  * Rebuild against libstaden-read11.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2016 08:31:33 +0000

staden (2.0.0+b10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Point configure to the new location of Itcl and Itk packages
    (closes: #753935).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Jul 2014 09:36:09 +0400

staden (2.0.0+b10-1) unstable; urgency=low

  [ Tim Booth ]
  * Initial release to Debian (Closes: #710324)

  * Fix dependency for Debian after realising io-lib was already packaged
    as libstaden-read

  [ Andreas Tille ]
  * Port some changes from other attempt to package staden by
    Jonas Smedegaard
  * Fix several lintian issues
  * fix watch file
  * wrapper script for staden to provide access to all binaries,
    main binaries available via additional symlink

 -- Andreas Tille <tille@debian.org>  Mon, 21 Apr 2014 22:34:28 +0200

staden (2.0.0b9-0biolinux4) precise; urgency=low

  * Add patches to show copyright form Help menu

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 12 Jun 2013 16:51:19 +0100

staden (2.0.0b9-0biolinux3) precise; urgency=low

  * Add missing build dep.
  * Add recommends on staden-doc

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 11 Jun 2013 10:18:37 +0100

staden (2.0.0b9-0biolinux1) precise; urgency=low

  * New package for Bio-Linux
  * Split into dep/indep components
  * Add an icon so that apps can show in Unity
  * Remove tg_view.bin and tg_index.bin as they seem to be useless copies
    of the corresponding binaries.

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 10 Jun 2013 17:35:47 +0100

=== debian/control ===
Source: staden
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libstaden-read-dev (>= 1.14.6),
               itcl3-dev,
               itk3-dev,
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev,
               tcl-dev,
               tk-dev,
               tklib,
               libpng-dev,
               libncurses5-dev,
               iwidgets4,
               libcurl4-openssl-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/staden.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/staden.git
Homepage: https://staden.sf.net

Package: staden
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         staden-common (= ${source:Version}),
         staden-io-lib-utils,
         tklib
Description: DNA sequence assembly (Gap4/Gap5), editing and analysis tools
 Staden is a fully developed set of DNA sequence assembly (Gap4 and
 Gap5), editing and analysis tools (Spin).
 .
 Gap4 performs sequence assembly, contig ordering based on read pair
 data, contig joining based on sequence comparisons, assembly checking,
 repeat searching, experiment suggestion, read pair analysis and contig
 editing. It has graphical views of contigs, templates, readings and
 traces which all scroll in register. Contig editor searches and
 experiment suggestion routines use confidence values to calculate the
 confidence of the consensus sequence and hence identify only places
 requiring visual trace inspection or extra data. The result is
 extremely rapid finishing and a consensus of known accuracy.
 .
 Pregap4 provides a graphical user interface to set up the processing
 required to prepare trace data for assembly or analysis, and automates
 these processes.
 .
 Trev is a rapid and flexible viewer and editor for ABI, ALF, SCF and
 ZTR trace files.
 .
 Prefinish analyses partially completed sequence assemblies and suggests
 the most efficient set of experiments to help finish the project.
 .
 Tracediff and hetscan automatically locate mutations by comparing trace
 data against reference traces. They annotate the mutations found ready
 for viewing in gap4.
 .
 Spin analyses nucleotide sequences to find genes, restriction sites,
 motifs, etc. It can perform translations, find open reading frames,
 count codons, etc. Many results are presented graphically and a sliding
 sequence window is linked to the graphics cursor. Spin also compares
 pairs of sequences in many ways. It has very rapid dot matrix analysis,
 global and local alignment algorithms, plus a sliding sequence window
 linked to the graphical plots. It can compare nucleic acid against
 nucleic acid, protein against protein, and protein against nucleic
 acid.

Package: staden-common
Architecture: all
Depends: ${misc:Depends},
         tk8.6 | wish
Recommends: ksh | zsh
Description: Architecture independent files for Staden
 Staden is a fully developed set of DNA sequence assembly (Gap4 and
 Gap5), editing and analysis tools (Spin).
 .
 Gap4 performs sequence assembly, contig ordering based on read pair
 data, contig joining based on sequence comparisons, assembly checking,
 repeat searching, experiment suggestion, read pair analysis and contig
 editing. It has graphical views of contigs, templates, readings and
 traces which all scroll in register. Contig editor searches and
 experiment suggestion routines use confidence values to calculate the
 confidence of the consensus sequence and hence identify only places
 requiring visual trace inspection or extra data. The result is
 extremely rapid finishing and a consensus of known accuracy.
 .
 Pregap4 provides a graphical user interface to set up the processing
 required to prepare trace data for assembly or analysis, and automates
 these processes.
 .
 Trev is a rapid and flexible viewer and editor for ABI, ALF, SCF and
 ZTR trace files.
 .
 Prefinish analyses partially completed sequence assemblies and suggests
 the most efficient set of experiments to help finish the project.
 .
 Tracediff and hetscan automatically locate mutations by comparing trace
 data against reference traces. They annotate the mutations found ready
 for viewing in gap4.
 .
 Spin analyses nucleotide sequences to find genes, restriction sites,
 motifs, etc. It can perform translations, find open reading frames,
 count codons, etc. Many results are presented graphically and a sliding
 sequence window is linked to the graphics cursor. Spin also compares
 pairs of sequences in many ways. It has very rapid dot matrix analysis,
 global and local alignment algorithms, plus a sliding sequence window
 linked to the graphical plots. It can compare nucleic acid against
 nucleic acid, protein against protein, and protein against nucleic
 acid.
 .
 This package contains the architecture independent data files and
 scripts that come with the Staden package.

=== debian/watch ===
version=3
opts=dversionmangle=s/~b/b/ \
  http://sf.net/staden/staden-([0-9ab.]*)[-src]*\.tar\.(?:bz2|gz)
